## sixad 1.6.1~trusty1

=== Makefile ===
# You know, there are pre-compile DEBs of this...

CXX ?= g++
CXXFLAGS ?= -O2 -Wall
LDFLAGS += -Wl,-Bsymbolic-functions

GASIA_GAMEPAD_HACKS = false # Set to 'true' to enable hacks

ifeq ($(GASIA_GAMEPAD_HACKS),true)
CXXFLAGS += -DGASIA_GAMEPAD_HACKS
endif

all: sixad_bins sixpair_bin

sixad_bins:
	mkdir -p bins
	$(CXX) $(CXXFLAGS) $(LDFLAGS) sixad-bin.cpp bluetooth.cpp shared.cpp textfile.cpp -o bins/sixad-bin `pkg-config --cflags --libs bluez` -lpthread -fpermissive
	$(CXX) $(CXXFLAGS) $(LDFLAGS) sixad-sixaxis.cpp sixaxis.cpp shared.cpp uinput.cpp textfile.cpp -o bins/sixad-sixaxis -lpthread -lrt
	$(CXX) $(CXXFLAGS) $(LDFLAGS) sixad-remote.cpp remote.cpp shared.cpp uinput.cpp textfile.cpp -o bins/sixad-remote -lrt
	$(CXX) $(CXXFLAGS) $(LDFLAGS) sixad-raw.cpp sixaxis.cpp shared.cpp uinput.cpp textfile.cpp -o bins/sixad-raw
	$(CXX) $(CXXFLAGS) $(LDFLAGS) sixad-3in1.cpp sixaxis.cpp shared.cpp uinput.cpp textfile.cpp -o bins/sixad-3in1

sixpair_bin:
	mkdir -p bins
	$(CC) $(CFLAGS) $(LDFLAGS) sixpair.c -o bins/sixpair `pkg-config --cflags --libs libusb`

clean:
	rm -f *~ bins/*

install:
	install -d $(DESTDIR)/etc/default/
	install -d $(DESTDIR)/etc/init.d/
	install -d $(DESTDIR)/etc/logrotate.d/
	install -d $(DESTDIR)/usr/bin/
	install -d $(DESTDIR)/usr/sbin/
	install -d $(DESTDIR)/var/lib/sixad/
	install -d $(DESTDIR)/var/lib/sixad/profiles/
	install -m 644 sixad.default $(DESTDIR)/etc/default/sixad
	install -m 755 sixad.init $(DESTDIR)/etc/init.d/sixad
	install -m 644 sixad.log $(DESTDIR)/etc/logrotate.d/sixad
	install -m 755 sixad $(DESTDIR)/usr/bin/
	install -m 755 bins/sixad-bin $(DESTDIR)/usr/sbin/
	install -m 755 bins/sixad-sixaxis $(DESTDIR)/usr/sbin/
	install -m 755 bins/sixad-remote $(DESTDIR)/usr/sbin/
	install -m 755 bins/sixad-3in1 $(DESTDIR)/usr/sbin/
	install -m 755 bins/sixad-raw $(DESTDIR)/usr/sbin/
	install -m 755 bins/sixpair $(DESTDIR)/usr/sbin/

	@chmod 777 -R $(DESTDIR)/var/lib/sixad/
	@echo "Installation is Complete!"

uninstall:
	rm -f $(DESTDIR)/etc/default/sixad
	rm -f $(DESTDIR)/etc/init.d/sixad
	rm -f $(DESTDIR)/etc/logrotate.d/sixad
	rm -f $(DESTDIR)/usr/bin/sixad
	rm -f $(DESTDIR)/usr/sbin/sixad-bin
	rm -f $(DESTDIR)/usr/sbin/sixad-sixaxis
	rm -f $(DESTDIR)/usr/sbin/sixad-remote
	rm -f $(DESTDIR)/usr/sbin/sixad-raw
	rm -rf $(DESTDIR)/var/lib/sixad/

=== debian/changelog ===
sixad (1.6.1~trusty1) trusty; urgency=medium

  * Release to Trusty.

 -- Mike Purvis <mike@uwmike.com>  Fri, 11 Sep 2015 11:18:59 -0400

sixad (1.6.1~vivid1) vivid; urgency=medium

  * Release to Vivid.

 -- Mike Purvis <mike@uwmike.com>  Fri, 11 Sep 2015 11:18:30 -0400

sixad (1.6.1~precise1) precise; urgency=medium

  * Add retry delay on startup.
  * Release to Precise.

 -- Mike Purvis <mike@uwmike.com>  Fri, 11 Sep 2015 11:10:21 -0400

sixad (1.6.0~vivid1) vivid; urgency=medium

  * Release to Vivid.

 -- Mike Purvis <mike@uwmike.com>  Fri, 21 Aug 2015 11:39:49 -0400

sixad (1.6.0~trusty2) trusty; urgency=medium

  * Add pkg-config to build depends.

 -- Mike Purvis <mike@uwmike.com>  Fri, 21 Aug 2015 11:23:48 -0400

sixad (1.6.0~trusty1) trusty; urgency=medium

  * Added short timeout for bluetooth transmissions.
  * Remove former 30 min activity timeout.

 -- Mike Purvis <mike@uwmike.com>  Fri, 21 Aug 2015 10:26:25 -0400

qtsixa (1.5.1+git20130130-0~trusty1) trusty; urgency=medium

  * Trusty build

 -- falkTX <falktx@gmail.com>  Sun, 20 Apr 2014 20:02:25 +0100

qtsixa (1.5.1+git20130130-0~saucy2) saucy; urgency=low

  * Saucy build

 -- falkTX <falktx@gmail.com>  Mon, 20 May 2013 11:26:46 +0100

qtsixa (1.5.1+git20130130-0~precise2) precise; urgency=low

  * Update to latest git

 -- falkTX <falktx@gmail.com>  Wed, 30 Jan 2013 20:09:31 +0000

qtsixa (1.5.1-0ubuntu1~lucid1) lucid; urgency=low

  * New upstream stable release

 -- falkTX <falktx@gmail.com>  Wed, 12 Oct 2011 17:50:42 +0100

qtsixa (1.4.97+git20110701-0~lucid1) lucid; urgency=low

  * New Git, remove hcid from install

 -- falkTX <falktx@gmail.com>  Fri, 01 Jul 2011 17:20:44 +0100

qtsixa (1.4.97+git20110520-0~lucid1) lucid; urgency=low

  * Update to latest GIT code

 -- falkTX <falktx@gmail.com>  Fri, 20 May 2011 22:11:48 +0100

qtsixa (1.4.97-1~natty3) natty; urgency=low

  * Natty build

 -- falkTX <falktx@gmail.com>  Fri, 21 Jan 2011 15:09:49 +0000

qtsixa (1.4.97-1~maverick3) maverick; urgency=low

  * Maverick build

 -- falkTX <falktx@gmail.com>  Fri, 21 Jan 2011 15:09:44 +0000

qtsixa (1.4.97-1~lucid3) lucid; urgency=low

  * Fix Natty build

 -- falkTX <falktx@gmail.com>  Fri, 21 Jan 2011 15:05:15 +0000

qtsixa (1.4.97-1~lucid2) lucid; urgency=low

  * Fixed neverball profile
  * sixad-jack improvements:
    - don't print messages (for performance)
    - better keys sensitivity

 -- falkTX <falktx@gmail.com>  Tue, 18 Jan 2011 23:55:46 +0000

qtsixa (1.4.97-1~lucid1) lucid; urgency=low

  * Implemented legacy mode
  * Fix segfault when config files have missing information

 -- falkTX <falktx@gmail.com>  Sun, 16 Jan 2011 22:55:54 +0000

qtsixa (1.4.96-1~lucid4) lucid; urgency=low

  * Disable sixad-raw on GUI

 -- falkTX <falktx@gmail.com>  Thu, 30 Dec 2010 16:50:02 +0000

qtsixa (1.4.96-1~lucid3) lucid; urgency=low

  * Several fixes for sixad-raw

 -- falkTX <falktx@gmail.com>  Thu, 30 Dec 2010 01:09:34 +0000

qtsixa (1.4.96-0~lucid2) lucid; urgency=low

  * Fix Scroll usage
  * Fix using keys in the analog sticks
  * Prepare package for both Lucid, Maverick and Natty builds

 -- falkTX <falktx@gmail.com>  Thu, 23 Dec 2010 00:27:58 +0000

qtsixa (1.4.95-0~ppa6) lucid; urgency=low

  * Implemented log-rotation for sixad logs

 -- falkTX <falktx@gmail.com>  Fri, 03 Dec 2010 17:32:12 +0000

qtsixa (1.4.95-0~ppa2) lucid; urgency=low

  * Implemented lr3 axis/buttons thing
  * Fixed manage devices list sometimes empty
  * Fix Scroll speed (was too fast)

 -- falkTX <falktx@gmail.com>  Wed, 01 Dec 2010 15:40:03 +0000

qtsixa (1.4.95-0~ppa1) lucid; urgency=low

  * Re-write of backend code in C++ (many fixes, working rumble support)
  * Split sixad and utils
  * Update GUI and other stuff where needed

 -- falkTX <falktx@gmail.com>  Sat, 20 Nov 2010 20:58:28 +0000

qtsixa (1.4.90) lucid; urgency=low

  * Initial release. (Closes: #XXXXXX)

 -- falkTX <falktx@gmail.com>  Tue, 25 May 2010 18:08:08 +0100

=== debian/control ===
Source: sixad
Section: utils
Priority: optional
Maintainer: Mike Purvis <mike@uwmike.com>
XSBC-Original-Maintainer: Mike Purvis <mike@uwmike.com>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7.0), gcc (>= 4.1), pkg-config, libusb-dev, libbluetooth-dev

Package: sixad
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bluez (>= 4.12)
Description: Daemon for PS3 Bluetooth Controllers
 This package provides the modules (called 'sixad') for connecting PS3 hardware
 (Sixaxis/DualShock3 and Keypads) to a Linux-compatible machine
 .
 Currently sixad supports:
  - Sixaxis buttons, axis, accelerometers and LEDs
  - PS3 Keypads
 .
 sixad also registers the Sixaxis and Keypad's MAC/ID in the joystick name
 (ex: "PLAYSTATION(R)3 Controller (00:XX:X0:0X:XX)".
